std::experimental::ranges::Constructible(3)

NAME
std::experimental::ranges::Constructible - std::experimental::ranges::Constructible

Synopsis
   Defined in header <experimental/ranges/concepts>
   template < class T, class... Args >
   concept bool Constructible = (ranges TS)
   Destructible<T> && std::is_constructible<T, Args...>::value;
   The Constructible concept specifies that a variable of type T can be initialized
   with the given set of argument types Args....
   There need not be any subsumption relationship between Constructible<T, Args...> and
   std::is_constructible<T, Args...>::value.

See also
   is_constructible
   is_trivially_constructible
   is_nothrow_constructible checks if a type has a constructor for specific arguments
   (C++11) (class template)
   (C++11)
   (C++11)